#272 closed defect (fixed)

/opt/rtems/include/c++/3.2/bits/locale_facets.tcc won't compile

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: tool Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

/opt/rtems/include/c++/3.2/bits/locale_facets.tcc uses strdup but doesn't include string.h -- this causes compiles to fail:

/opt/rtems/bin/m68k-rtems-g++ -B/opt/rtems/m68k-rtems/gen68360/lib/ -specs bsp_specs -qrtems -c -mcpu32 -DOSITHREAD_USE_DEFAULT_STACK -DUNIX -ansi -O3 -Wall -I. -I.. -I../../../../include/os/RTEMS -I../../../../include -I/usr/localinclude ../epicsListTest.cpp
/opt/rtems/include/c++/3.2/bits/locale_facets.tcc: In function `int

std::convert_from_v(char*, int, const char*, _Tv, int* const&, int) [with
_Tv = long unsigned int]':

/opt/rtems/include/c++/3.2/bits/locale_facets.tcc:714: instantiated from `_OutIter std::num_put<_CharT, _OutIter>.
.
.
.
../epicsListTest.cpp:189: instantiated from here
/opt/rtems/include/c++/3.2/bits/locale_facets.tcc:1996: `strdup' undeclared

(first use this function)

/opt/rtems/include/c++/3.2/bits/locale_facets.tcc:1996: (Each undeclared

identifier is reported only once for each function it appears in.)

make[3]: * [epicsListTest.o] Error 1

Release:
gcc-3.2

Change History (3)

comment:1 Changed on Nov 18, 2002 at 8:00:23 PM by Joel Sherrill

Status: assignedsuspended

comment:2 Changed on Jun 13, 2003 at 4:55:46 PM by Joel Sherrill

Status: suspendedwaiting

comment:3 Changed on Jan 20, 2005 at 4:13:49 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: This is on an old gcc version and won't be fixed in official
gcc 3.2. We can re-report it against gcc 4.x if it still
applies.

Note: See TracTickets for help on using tickets.